Bug 70313 - up2date crashes with python traceback.
up2date crashes with python traceback.
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-07-31 12:05 EDT by Need Real Name
Modified: 2015-01-07 18:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-26 20:21:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-31 12:05:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1b) Gecko/20020722

Description of problem:
up2date crashes when the -p option is used *and* the server is under high load.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.up2date -p

Additional info:

here is the python traceback:

[~] [11:48am] [router] % up2date -p
You are attempting to run "up2date" which requires superuser
privileges, but more information is needed in order to do so.
Password for root: 

Traceback (innermost last):
  File "/usr/sbin/up2date", line 1169, in ?
  File "/usr/sbin/up2date", line 254, in main
  File "/usr/share/rhn/up2date_client/up2date.py", line 556, in updateLoginInfo
    loginInfo = login()
  File "/usr/share/rhn/up2date_client/up2date.py", line 487, in login
    loginInfo = doCall(server.up2date.login, systemId)
  File "/usr/share/rhn/up2date_client/up2date.py", line 426, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 689, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 746, in __request
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 652, in request
    return self.parse_response(fd)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 667, in parse_response
    return u.close()
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 366, in close
    raise apply(Fault, (), self._stack[0])
xmlrpclib.Fault: <Fault -51 """
Error Message:
    Free service limited due to high load, please try again later (server
Error Class Code: 51
Error Class Info: 
     Due to extremely high traffic, access to Red Hat Network is currently  
     limited to subscription customers.  Please try again later.  If you 
     would like to become a subscription customer, go to 
     https://rhn.redhat.com/preview/priority_service.pxt for more information.
     An error has occurred while processing your request. If this problem
     persists please submit a bug report to rhn-help@redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.
Comment 1 Adrian Likins 2002-08-02 15:51:45 EDT
Should be fixed in next version of the client.

Note You need to log in before you can comment on or make changes to this bug.